
QGIS Application - Bug report #19479

QGIS crashes

2018-07-25 08:51 AM - Pradeep Nair

Status: Closed

Priority: High

Assignee: Borys Jurgiel

Category: Plugin Manager

Affected QGIS version:3.2.1 Regression?: No

Operating System: windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 27307

Description

QGIS crashes every time I exit or try and manage the plugins. Issue started after installing the plugin "semi automatic classification"

User Feedback

Report Details

Crash ID: 2158b01f96452b8cf079fabd6f476862ce1a56f9

Stack Trace

QDockWidget::toggleViewAction :

QgisApp::removeDockWidget :

QgsPresetSchemeColorRamp::clone :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyEval_EvalCode :

PyArena_Free :

PyRun_StringFlags :

instance :

instance :

QgsPluginRegistry::unloadAll :

QgisApp::saveWindowState :

QMetaObject::activate :

QCoreApplicationPrivate::execCleanup :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.1-Bonn

QGIS code revision: commit:1edf372fb8

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt
Kernel Version: 10.0.17134

History

#1 - 2018-07-25 09:08 AM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2018-07-25 09:23 AM - Nyall Dawson

- Status changed from Open to Feedback

This is likely an issue with that plugin. Try. A clean profile with no installed plugins and see if you still get issues.

#3 - 2018-07-26 07:02 AM - Pradeep Nair

Nyall Dawson wrote:

This is likely an issue with that plugin. Try. A clean profile with no installed plugins and see if you still get issues.

Uninstalled and reinstalled QGIS but plugins get reloaded. And crashes when initiated. How do we go about reinstalling with a clean profile with no plugins

installed? After uninstalling QGIS I have deleted all registry entries and folders related to QGIS. Yet the previously installed plugins (the problematic ones

too) get reloaded.

Would appreciate a quick response.

My crash report:

User Feedback

Report Details

Crash ID: d4780bbcb54216a951ced3e33b99803f61a009a5

Stack Trace

QDockWidget::toggleViewAction :

QgisApp::removeDockWidget :

QgsPresetSchemeColorRamp::clone :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_CallFunctionObjArgs :

PyObject_Call :

PyInit_QtCore :

PyInit_QtCore :

PyInit_QtCore :

PyInit_QtCore :

PyInit_QtCore :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :
QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.1-Bonn

QGIS code revision: commit:1edf372fb8

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

#4 - 2018-07-26 07:07 AM - Pradeep Nair

Nyall Dawson wrote:

This is likely an issue with that plugin. Try. A clean profile with no installed plugins and see if you still get issues.

Would like to add that I am unable to uninstall the "semi automatic classification" plugin as the program crashes every time I try it.

#5 - 2018-07-26 07:34 AM - Borys Jurgiel

QGIS 3 stores all settings, plugins etc in a directory you can access by menu Settings -> User Profiles -> Open Active Profile Folder.

So first please remove the plugin by removing the python\plugins\SemiAutomaticClassificationPlugin subdirectory from there.

If if doesn't help, please create a clean profile like Nyall said: menu Settings -> User Profiles -> New Profile (alternatively, you can just remove everything

from the default profile directory, if you don't have any valuable settings there). It should fix most issues, as even all the settings placed previously (QGIS 2)

in the Windows Registry are in this directory now.

#6 - 2018-07-26 08:53 AM - Pradeep Nair

Borys Jurgiel wrote:
QGIS 3 stores all settings, plugins etc in a directory you can access by menu Settings -> User Profiles -> Open Active Profile Folder.

So first please remove the plugin by removing the python\plugins\SemiAutomaticClassificationPlugin subdirectory from there.

If if doesn't help, please create a clean profile like Nyall said: menu Settings -> User Profiles -> New Profile (alternatively, you can just remove

everything from the default profile directory, if you don't have any valuable settings there). It should fix most issues, as even all the settings placed

previously (QGIS 2) in the Windows Registry are in this directory now.

Thanks Borys and Nyall for your inputs. I removed the last four installed plugins from the Python folder, including Semi Automatic Classification and the

problem has been resolved. Cheers!!

#7 - 2018-07-26 08:54 AM - Giovanni Manghi

- Status changed from Feedback to Closed
